config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/snort/snort.conf.new
config etc/snort/reference.config.new
config etc/snort/threshold.conf.new
config etc/snort/attribute_table.dtd.new
config etc/snort/classification.config.new
config etc/snort/gen-msg.map.new
config etc/snort/sid-msg.map.new
config etc/snort/unicode.map.new

( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dce2_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dce2_preproc.so.0.0.0 libsf_dce2_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dce2_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dce2_preproc.so.0.0.0 libsf_dce2_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssl_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssl_preproc.so.0.0.0 libsf_ssl_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssl_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssl_preproc.so.0.0.0 libsf_ssl_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dns_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dns_preproc.so.0.0.0 libsf_dns_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dns_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dns_preproc.so.0.0.0 libsf_dns_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dcerpc_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dcerpc_preproc.so.0.0.0 libsf_dcerpc_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_dcerpc_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_dcerpc_preproc.so.0.0.0 libsf_dcerpc_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssh_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssh_preproc.so.0.0.0 libsf_ssh_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ssh_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ssh_preproc.so.0.0.0 libsf_ssh_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_smtp_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_smtp_preproc.so.0.0.0 libsf_smtp_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_smtp_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_smtp_preproc.so.0.0.0 libsf_smtp_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ftptelnet_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ftptelnet_preproc.so.0.0.0 libsf_ftptelnet_preproc.so )
( cd usr/lib/snort_dynamicpreprocessor ; rm -rf libsf_ftptelnet_preproc.so.0 )
( cd usr/lib/snort_dynamicpreprocessor ; ln -sf libsf_ftptelnet_preproc.so.0.0.0 libsf_ftptelnet_preproc.so.0 )
( cd usr/lib/snort_dynamicengine ; rm -rf libsf_engine.so )
( cd usr/lib/snort_dynamicengine ; ln -sf libsf_engine.so.0.0.0 libsf_engine.so )
( cd usr/lib/snort_dynamicengine ; rm -rf libsf_engine.so.0 )
( cd usr/lib/snort_dynamicengine ; ln -sf libsf_engine.so.0.0.0 libsf_engine.so.0 )
